Aavescan logo Aavescan

Data platform and API for Aave
API docs

Endpoints

Ecosystem Rates History

Returns the full daily history of stablecoin rates across the DeFi ecosystem, including Sky, Ethena and Maple. See the Ecosystem rates dashboard for supported markets.

GET /v2/rates/daily/{vaultSlug}

Query parameters

  • apiKey

    Your Aavescan API key.

Example query

curl "https://api.aavescan.com/v2/rates/daily/ethena-susde?apiKey=YOUR_KEY"

Example response (snippet)

[
  {
    "vault": {
      "slug": "ethena-susde",
      "name": "Ethena sUSDe",
      "protocol": "ethena",
      "symbol": "sUSDe",
      "underlyingSymbol": "USDe",
      "iconSymbol": "sUSDe",
      "address": "0x9d39a5de30e57443bff2a8307a4256c8797a3497",
      "chainSlug": "ethereum"
    },
    "historicalData": [
      {
        "targetDate": "2024-03-29T00:00:00Z",
        "timestamp": 1711670400,
        "blockNumber": "19535951",
        "supplyApr": 0.21093127847278237,
        "supply": 419464299.99994385,
        "supplyIndex": 1.037110918093012
      }
    ]
  }
]